package de.avatic.lcc.dto.report;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.model.db.utils.DimensionUnit;
import de.avatic.lcc.model.db.utils.WeightUnit;

public class ReportPremisesDTO {


    @JsonProperty("hs_code")
    private String hsCode;

    @JsonProperty("tariff_rate")
    private Number tariffRate;

    @JsonProperty("oversea_share")
    private Number overseaShare;

    @JsonProperty("air_freight_share")
    private Number airFreightShare;

    @JsonProperty("safety_stock")
    private Number safetyStock;



    /* packaging */

    private Double width;

    private Double height;

    private Double length;

    private Double weight;

    @JsonProperty("dimension_unit")
    private DimensionUnit dimensionUnit;

    @JsonProperty("weight_unit")
    private WeightUnit weightUnit;

    @JsonProperty("hu_unit_count")
    private Integer huUnitCount;

    @JsonProperty("mixable")
    private Boolean mixable;


    public String getHsCode() {
        return hsCode;
    }

    public void setHsCode(String hsCode) {
        this.hsCode = hsCode;
    }

    public Number getTariffRate() {
        return tariffRate;
    }

    public void setTariffRate(Number tariffRate) {
        this.tariffRate = tariffRate;
    }

    public Double getWidth() {
        return width;
    }

    public void setWidth(Double width) {
        this.width = width;
    }

    public Double getHeight() {
        return height;
    }

    public void setHeight(Double height) {
        this.height = height;
    }

    public Double getLength() {
        return length;
    }

    public void setLength(Double length) {
        this.length = length;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public DimensionUnit getDimensionUnit() {
        return dimensionUnit;
    }

    public void setDimensionUnit(DimensionUnit dimensionUnit) {
        this.dimensionUnit = dimensionUnit;
    }

    public WeightUnit getWeightUnit() {
        return weightUnit;
    }

    public void setWeightUnit(WeightUnit weightUnit) {
        this.weightUnit = weightUnit;
    }

    public Integer getHuUnitCount() {
        return huUnitCount;
    }

    public void setHuUnitCount(Integer huUnitCount) {
        this.huUnitCount = huUnitCount;
    }



    public Number getOverseaShare() {
        return overseaShare;
    }

    public void setOverseaShare(Number overseaShare) {
        this.overseaShare = overseaShare;
    }

    public Number getAirFreightShare() {
        return airFreightShare;
    }

    public void setAirFreightShare(Number airFreightShare) {
        this.airFreightShare = airFreightShare;
    }

    public Number getSafetyStock() {
        return safetyStock;
    }

    public void setSafetyStock(Number safetyStock) {
        this.safetyStock = safetyStock;
    }

    public Boolean getMixable() {
        return mixable;
    }

    public void setMixable(Boolean mixable) {
        this.mixable = mixable;
    }
}
